Get a rate card
curl --request POST \
--url https://api.metronome.com/v1/contract-pricing/rate-cards/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "f3d51ae8-f283-44e1-9933-a3cf9ad7a6fe"
}
'import requests
url = "https://api.metronome.com/v1/contract-pricing/rate-cards/get"
payload = { "id": "f3d51ae8-f283-44e1-9933-a3cf9ad7a6fe" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 'f3d51ae8-f283-44e1-9933-a3cf9ad7a6fe'})
};
fetch('https://api.metronome.com/v1/contract-pricing/rate-cards/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"name": "Test rate card",
"description": "Test rate card description",
"fiat_credit_type": {
"id": "2714e483-4ff1-48e4-9e25-ac732e8f24f2",
"name": "USD (cents)"
},
"created_at": "2019-12-30T04:24:55.123Z",
"created_by": "Bob",
"aliases": [
{
"name": "test-rate-card"
}
],
"custom_fields": {
"x_account_id": "KyVnHhSBWl7eY2bl"
}
}
}{
"message": "<string>"
}Rate cards
Get a rate card
Return details for a specific rate card including name, description, and aliases. This endpoint does not return rates - use the dedicated getRates or getRateSchedule endpoints to understand the rates on a rate card.
POST
/
v1
/
contract-pricing
/
rate-cards
/
get
Get a rate card
⌘I